import { Host, h } from "@stencil/core";
import Typed from "typed.js";
export class ArcadeTypewriter {
    constructor() {
        this.doneWriting = false;
        this.action = undefined;
        this.text = undefined;
    }
    componentDidLoad() {
        console.log('loaded', this.typeElement);
        var options = {
            strings: [],
            typeSpeed: 40,
            onComplete: (self) => {
                // if(props.setDoneWriting) {
                //   console.log('DONE TYPING', self);
                //   props.setDoneWriting();
                // }
                console.log('DONE TYPING', self);
                this.doneWriting = true;
            }
        };
        options.strings.push(this.text);
        var typed = new Typed(this.typeElement, options);
        typed.start();
        return () => {
            typed.destroy();
        };
    }
    render() {
        console.log('FOO', this.typeElement);
        return (h(Host, { key: 'fe83a16778fb2271fb0d103a7721a1d1056d0278' }, h("div", { key: 'f15c5c49d78d6379d7b55a3a0ed37605203ed737', class: `Customtypewriter ${this.doneWriting ? 'hide-cursor' : null}` }, h("span", { key: '6dc6f3d65d2a7dcc8d916193f217b8f1799c0fd3', ref: (el) => (this.typeElement = el) }))));
    }
    static get is() { return "arcade-typewriter"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["arcade-typewriter.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["arcade-typewriter.css"]
        };
    }
    static get properties() {
        return {
            "action": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "() => void",
                    "resolved": "() => void",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                }
            },
            "text": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "text",
                "reflect": false
            }
        };
    }
    static get states() {
        return {
            "doneWriting": {}
        };
    }
}
//# sourceMappingURL=arcade-typewriter.js.map
